import * as $dara from '@darabonba/typescript';
export declare class DescribeCapacityReservationInstancesResponseBodyCapacityReservationItemInstanceIdSet extends $dara.Model {
    /**
     * @remarks
     * The ID of the instance.
     *
     * @example
     * i-bp67acfmxazb4****
     */
    instanceId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeCapacityReservationInstancesResponseBodyCapacityReservationItem extends $dara.Model {
    instanceIdSet?: DescribeCapacityReservationInstancesResponseBodyCapacityReservationItemInstanceIdSet[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeCapacityReservationInstancesResponseBody extends $dara.Model {
    /**
     * @remarks
     * Details about the instances that match the capacity reservation.
     */
    capacityReservationItem?: DescribeCapacityReservationInstancesResponseBodyCapacityReservationItem;
    /**
     * @remarks
     * The maximum number of entries per page.
     *
     * @example
     * 10
     */
    maxResults?: number;
    /**
     * @remarks
     * A pagination token. It can be used in the next request to retrieve a new page of results.
     *
     * @example
     * caeba0bbb2be03f84eb48b699f0a4883
     */
    nextToken?: string;
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * 473469C7-AA6F-4DC5-B3DB-A3DC0DE3C83E
     */
    requestId?: string;
    /**
     * @remarks
     * The total number of entries returned.
     *
     * @example
     * 10
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
